## AgsLadspaPlugin

AgsLadspaPlugin — The ladspa plugin class

## Stability Level

Stable, unless otherwise indicated

## Functions

#define | AGS_LADSPA_PLUGIN_DESCRIPTOR()
AgsLadspaPlugin * | ags_ladspa_plugin_new ()

## Properties

guint | unique-id | Read / Write

## Object Hierarchy

        GObject
        ╰── AgsBasePlugin
            ╰── AgsLadspaPlugin

## Includes

    #include <ags/plugin/ags_ladspa_plugin.h>

## Description

The AgsLadspaPlugin loads/unloads a Ladspa plugin.

## Functions

### AGS_LADSPA_PLUGIN_DESCRIPTOR()

    #define AGS_LADSPA_PLUGIN_DESCRIPTOR(ptr) ((LADSPA_Descriptor *)(ptr))

### ags_ladspa_plugin_new ()

    AgsLadspaPlugin *
    ags_ladspa_plugin_new (gchar *filename,
                           gchar *effect,
                           guint effect_index);

Creates an AgsLadspaPlugin

#### Parameters

filename | the plugin .so |
effect | the effect's string representation |
effect_index | the effect's index |

#### Returns

a new AgsLadspaPlugin

Since: 3.0.0

## Property Details

### The `“unique-id”` property

      “unique-id”                guint

The assigned unique-id.

Owner: AgsLadspaPlugin

Flags: Read / Write

Default value: 0

Since: 3.0.0